unit Demo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, GAPrintInfo, GAJpgToBitmap, Jpeg,
  ExtDlgs;

type
  TForm1 = class(TForm)
    GAJpgToBitmap1: TGAJpgToBitmap;
    GAPrintInfo1: TGAPrintInfo;
    Panel1: TPanel;
    Panel2: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    OpenPictureDialog1: TOpenPictureDialog;
    ScrollBox1: TScrollBox;
    Image1: TImage;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    OpenPictureDialog2: TOpenPictureDialog;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
  private
    { Private declarations }

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses PrintPreview;

{$R *.dfm}

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
Label2.Caption:=GAPrintInfo1.PrinterName;
Label4.Caption:=GAPrintInfo1.PaperSize;
Label6.Caption:=IntToStr(GAPrintInfo1.PrinterDPIx);
Label8.Caption:=IntToStr(GAPrintInfo1.PrinterDPIy);
Label10.Caption:=IntToStr(GAPrintInfo1.PaperSizeWIDTHpx);
Label12.Caption:=IntToStr(GAPrintInfo1.PaperSizeHEIGHTpx);
Label14.Caption:=IntToStr(GAPrintInfo1.PaperSizeWIDTHmm);
Label16.Caption:=IntToStr(GAPrintInfo1.PaperSizeHEIGHTmm);
Label18.Caption:=IntToStr(GAPrintInfo1.PrintableAreaX);
Label20.Caption:=IntToStr(GAPrintInfo1.PrintableAreaY);
Label22.Caption:=IntToStr(GAPrintInfo1.PrintScalingFactorX);
Label24.Caption:=IntToStr(GAPrintInfo1.PrintScalingFactorY);
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
var
jpg: TJpegImage;
begin
  jpg:= TJpegImage.Create;
   if OpenPictureDialog1.Execute then
  begin
    jpg.LoadFromFile(OpenPictureDialog1.FileName);
    GAJpgToBitmap1.AssignJPG(jpg);
    Form2.GAPrintPreview1.AssignBitmap(GAJpgToBitmap1.OutBitmap);
    Form2.ShowModal;
  end;
  jpg.Free;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
   if OpenPictureDialog2.Execute then
  begin
    Image1.Picture.Bitmap.LoadFromFile(OpenPictureDialog2.FileName);
  end;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
 Form2.GAPrintPreview1.AssignBitmap(Image1.Picture.Bitmap);
 Form2.ShowModal;
end;

end.
